using Fort23.UTool;
#if !COMBAT_SERVER
using UnityEngine;
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TimeLineEndSingLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
        }

        protected override void ProEnter()
        {
            ITimeLineEndSing timeLineEndSing =
                _timeLineTriggerEntity as ITimeLineEndSing;
            if (timeLineEndSing != null)
            {
                LogTool.Log("技能结束");
                timeLineEndSing.TimeLineEndSing(timeLineAssetSerialization.groupName);
            }
        }

        protected override void ProLeave()
        {
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}